# POST /volcv/v1

**Method**: `POST`
**Endpoint**: `/volcv/v1`

<https://www.volcengine.com/docs/6791/1279296>
**For details, see the official integration documentation**

## Request Parameters

### Query Parameters

```text
Action
string
Required
Example:
CVProcess
Version
string
Required
Example:
2022-08-31
```

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
object
Example
{
"req_key"
:
"high_aes"
,
"prompt"
:
"Vast armies charging forward"
,
"model_version"
:
"anime_v1.3"
,
"binary_data_base64"
:
[
""
]
,
"strength"
:
0.7
,
"seed"
:
-1
,
"scale"
:
7
,
"ddim_steps"
:
20
,
"width"
:
1024
,
"height"
:
1024
,
"return_url"
:
false
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"opacity"
:
0.3
,
"logo_text_content"
:
"This is a visible watermark"
}
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "req_key": "high_aes",
    "prompt": "Vast armies charging forward",
    "model_version": "anime_v1.3",
    "binary_data_base64": [""],
    "strength": 0.7,
    "seed": -1,
    "scale": 7,
    "ddim_steps": 20,
    "width": 1024,
    "height": 1024,
    "return_url": false,
    "logo_info": {
        "add_logo": false,
        "position": 0,
        "language": 0,
        "opacity": 0.3,
        "logo_text_content": "This is a visible watermark"
    }
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "code": 10000,
    "data": {
        "binary_data_base64": [
            "xxx"
        ]
    },
    "message": "Success",
    "request_id": "20220926182941010212157201024017C6",
    "status": 10000,
    "time_elapsed": "456.790505ms"
}
```
